> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve an omnichannel subscription

GET https://rest.test.zuora.com/v1/omni-channel-subscriptions/{subscriptionKey}

Retrieves the information about a specific omnichannel subscription. 

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/orders-and-subscriptions/omnichannel-subscriptions/get-omnichannel-subscription

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `subscriptionKey` (string, required) — The ID or number of the omnichannel subscription to be retrieved. The ID may be a Zuora subscription ID or an external system subscription ID.

### Query parameters

- `getAccountDetails` (boolean, optional) — Retrieves the details of an account.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of GetOmniChannelSubscriptionResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.
- `id` (string, optional) — The system generated ID in Billing.
- `subscriptionNumber` (string, optional) — The system generated subscription number.
- `accountId` (string, optional) — The ID of the account associated with this subscription.
- `externalSubscriptionId` (string, optional) — The original transaction ID of the notification.
- `externalTransactionReason` (string, optional) — The latest transaction reason.
- `externalSourceSystem` (string, optional) — The source app store from which the channel subscription originated. For example, Apple, Google, Roku, Amazon.
- `externalState` (string, optional) — The original status from client, such as active, canceled, expired, pastDue.
- `state` (string, optional) — The common external subscription state.
- `externalProductId` (string, optional) — The product ID in the external system.
- `externalReplaceByProductId` (string, optional, nullable) — The product ID is going to replace the existing product ID in the `externalProductId` field during the subscription renewal.
- `externalInAppOwnershipType` (string, optional) — Such as purchased, family_shared.
- `externalQuantity` (integer, optional, default: 1) — The quantity of the product, must be greater than 0.
- `currency` (string, optional) — The currency code of the transaction. If not specified, get value from the Account.
- `autoRenew` (boolean, optional, default: false) — If `true`, the subscription automatically renews at the end of the term.
- `originalPurchaseDate` (string, optional) — The value of `externalPurchaseDate` when this external subscription firstly created. UTC time, `yyyy-mm-dd hh:mm:ss`.
- `externalPurchaseDate` (string, optional) — When the App Store charged the user’s account for a purchase, restored product, subscription, or subscription renewal after a lapse. UTC time, `yyyy-mm-dd hh:mm:ss`.
- `externalActivationDate` (string, optional) — When the external subscription was activated on the external platform. UTC time, `yyyy-mm-dd hh:mm:ss`.
- `externalExpirationDate` (string, optional) — This expiration date is a static value that applies for each transaction. UTC time, `yyyy-mm-dd hh:mm:ss`.
- `externalApplicationId` (string, optional) — The external application ID.
- `externalBundleId` (string, optional) — The external bundler ID.
- `externalSubscriberId` (string, optional) — The external subscriber ID.
- `externalPrice` (double, optional) — The price in external system.
- `externalPurchaseType` (string, optional) — The external purchase type.
- `externalLastRenewalDate` (string, optional) — This last renewal date is a static value that applies for each transaction. UTC time, `yyyy-mm-dd hh:mm:ss`.
- `externalNextRenewalDate` (string, optional) — This next renewal date is a static value that applies for each transaction. UTC time, `yyyy-mm-dd hh:mm:ss`.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Invalid input

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### GetOmniChannelSubscriptionResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Response**

```json
{
  "success": true,
  "id": "303d186840e611df817c002185d714e1",
  "subscriptionNumber": "A-S00000001",
  "accountId": "2c98906e9288bc0b0192942dfbdc316d",
  "externalSubscriptionId": "56cc93ed3767476782cf2f150e38249c",
  "externalTransactionReason": "Purchase",
  "externalSourceSystem": "Apple",
  "externalState": "Grace",
  "state": "Active",
  "externalProductId": "874d2a0ef3ad43d5b3402771f56aca1d",
  "externalReplaceByProductId": null,
  "externalInAppOwnershipType": "Purchase",
  "externalQuantity": 1,
  "currency": "USD",
  "autoRenew": false,
  "originalPurchaseDate": "2024-02-01 00:01:15",
  "externalPurchaseDate": "2024-03-05 10:42:11",
  "externalActivationDate": "2024-03-01 12:12:12",
  "externalExpirationDate": "2024-06-01 12:12:12",
  "externalApplicationId": "external-application-id",
  "externalBundleId": "external-bundle-id",
  "externalSubscriberId": "external-subscriber-id",
  "externalPrice": 100,
  "externalPurchaseType": "Purchase",
  "externalLastRenewalDate": "2024-03-01 12:12:12",
  "externalNextRenewalDate": "2024-09-01 12:12:12"
}
```

**SDK Code**

```python Omnichannel Subscriptions_getOmnichannelSubscription_example
import requests

url = "https://rest.test.zuora.com/v1/omni-channel-subscriptions/subscriptionKey"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Omnichannel Subscriptions_getOmnichannelSubscription_example
const url = 'https://rest.test.zuora.com/v1/omni-channel-subscriptions/subscriptionKey';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Omnichannel Subscriptions_getOmnichannelSubscription_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/omni-channel-subscriptions/subscriptionKey"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Omnichannel Subscriptions_getOmnichannelSubscription_example
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/omni-channel-subscriptions/subscriptionKey")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Omnichannel Subscriptions_getOmnichannelSubscription_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/omni-channel-subscriptions/subscriptionKey")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Omnichannel Subscriptions_getOmnichannelSubscription_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/omni-channel-subscriptions/subscriptionKey', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Omnichannel Subscriptions_getOmnichannelSubscription_example
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/omni-channel-subscriptions/subscriptionKey");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Omnichannel Subscriptions_getOmnichannelSubscription_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/omni-channel-subscriptions/subscriptionKey")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```